- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Patches the UCP settings for a Merchant Center account.
This is a non-blocking method that queues asynchronous validation of the UCP profile at the wellKnownUri and immediately returns a long-running with Operationdone set to false and metadata set to .UcpSettingsOperationMetadata
You can poll the operation status using with the returned operation operations.getname (formatted as accounts/{account}/programs/ucp-integration/ucpSettings/operations/{operation}). When validation finishes (done is true):
- If validation succeeds, the settings are stored and the operation's
responsefield contains the updatedresource, including the parsedUcpSettingsucpProfile. - If validation fails, the settings are not updated and the operation's
errorfield contains amessage describing the validation failure.Status
For more information, see the UCP checkout setup guide.
HTTP request
PATCH https://merchantapi.googleapis.com/accounts/v1alpha/{ucpSettings.name=accounts/*/programs/*/ucpSettings}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
ucpSettings.name |
Identifier. The resource name of the |
Query parameters
| Parameters | |
|---|---|
updateMask |
Required. The list of fields to patch. If the |
Request body
The request body contains an instance of UcpSettings.
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/content
For more information, see the OAuth 2.0 Overview.